Subject: Re: bug#13473: 24.3.50; Display Tables doc bug

From: Stephen Berman <[email-masked]>
Date: Wed, 14 Feb 2018 19:33:25 +0100

On Wed, 14 Feb 2018 20:06:01 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Wed, 14 Feb 2018 14:33:18 +0100
>> Cc: [email-masked]
>> 
>> On Tue, 13 Feb 2018 20:18:41 -0500 Noam Postavsky
>> <[email-masked]> wrote:
>> 
>> > Stephen Berman <[email-masked]> writes:
>> >
>> >>   The glyph used to draw the border between side-by-side windows (the
>> >>   default is @samp{|}).  @xref{Splitting Windows}.  This takes effect only
>> >>   when there are no scroll bars; if scroll bars are supported and in use,
>> >> ! a scroll bar separates the two windows.  On graphical terminals, Emacs
>> >> ! uses a thin line to indicate the border, so the display table has no
>> >> ! effect.
>> >>   @end table
>> >
>> > If it's only effective on a tty display, then is the scroll bar
>> > reference irrelevant?  AFAIK, there are never scroll bars on a tty
>> > display anyway.
>> 
>> I think that's right, so the above is misleading (with or without the
>> change).
>
> Careful here: the same could be said about the truncation and
> continuation glyphs (and in fact, the manual actually did say that),
> but it's incorrect, because those glyphs _are_ used on GUI frames when
> the user disables the fringes.
>
> So any such "irrelevancy" must be qualified by "currently" etc.,
> because no one prevents us from implementing a feature whereby they
> will be used.
>
> I will soon install the following:

Thanks, this is a good fix (and also addresses Martin's concern).

Steve Berman